# $Revision: 1.35 $, $Date: 2006/11/26 12:25:45 $
%include	/usr/lib/rpm/macros.perl
Summary:	Fast File Search
Summary(pl):	Szybka wyszukiwarka plikw
Name:		ffsearch
Version:	1.1.12
Release:	4
License:	GPL v2
Group:		Applications/WWW
Source0:	http://dl.sourceforge.net/ffsearch/%{name}-%{version}.tar.bz2
# Source0-md5:	37fd70f94431c70198f5fa2031b4f9ac
Source1:	%{name}.crond
Patch0:		%{name}-config.patch
URL:		http://ffsearch.sourceforge.net/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	perl-DBD-mysql
Requires:	webserver
Requires:	webserver(php) >= 4.0.3
Provides:	group(ffsearch)
Provides:	user(ffsearch)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_phpdir		%{_datadir}/%{name}/www

%description
Fast File Search is a crawler for FTP servers and SMB shares that can
be found on Windows or UNIX systems running Samba. It provides a web
interface for searching files. It is optimized for searching files by
a wildcard when there are some normal (not '*' or '?') chars specified
in the beginning or in the end of the mask (for example '*.iso').

%description -l pl
Fast File Search (szybka wyszukiwarka plikw) jest skryptem
zbierajcym informacje o udostpnianych zasobach FTP i SMB. Udostpnia
przyjemny interfejs WWW do wyszukiwania plikw. Jest zoptymalizowana
do wyszukiwania plikw przez podanie masek plikw ze sta czci na
pocztku lub kocu nazwy (na przykad *.iso).

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_phpdir},%{_sysconfdir}/%{name},%{_datadir}/%{name}/bin,/var/{log/{,archiv/}%{name},lock/%{name}}}
rm -rf {bin,flag,lang,htdocs/ffsearch/{,flag,lang},doc}/CVS

cp -r htdocs/ffsearch/*		$RPM_BUILD_ROOT%{_phpdir}
install bin/*			$RPM_BUILD_ROOT%{_datadir}/%{name}/bin
install makedb.pl		$RPM_BUILD_ROOT%{_datadir}/%{name}
install %{name}.conf		$RPM_BUILD_ROOT%{_sysconfdir}

mv $RPM_BUILD_ROOT%{_phpdir}/config.php $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
ln -sf %{_sysconfdir}/%{name}/config.php $RPM_BUILD_ROOT%{_phpdir}/config.php

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 118 ffsearch
%useradd -u 118 -s /bin/false -g ffsearch -c "Fast File Search user" -d %{_datadir}/ffsearch ffsearch

%postun
if [ "$1" = "0" ]; then
	%userremove ffsearch
	%groupremove ffsearch
fi

%files
%defattr(644,root,root,755)
%doc INSTALL README MAINTAINERS UPGRADE AUTHORS ChangeLog doc/*
%attr(750,root,ffsearch) %dir %{_datadir}/%{name}
%attr(750,root,ffsearch) %dir %{_datadir}/%{name}/bin
%attr(750,root,ffsearch) %{_datadir}/%{name}/bin/*.pl
%attr(750,root,ffsearch) %{_datadir}/%{name}/*.pl
%attr(640,ffsearch,ffsearch) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(640,ffsearch,http) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%{_phpdir}/config.php
%attr(750,root,http) %dir %{_phpdir}
%attr(640,root,http) %{_phpdir}/a*.php
%attr(640,root,http) %{_phpdir}/body.php
%attr(640,root,http) %{_phpdir}/browse.php
%attr(640,root,http) %{_phpdir}/colors.php
%attr(640,root,http) %{_phpdir}/comment*.php
%attr(640,root,http) %{_phpdir}/db.php
%attr(640,root,http) %{_phpdir}/f*.php
%attr(640,root,http) %{_phpdir}/h*.php
%attr(640,root,http) %{_phpdir}/index.php
%attr(640,root,http) %{_phpdir}/lang.php
%attr(640,root,http) %{_phpdir}/menu*.php
%attr(640,root,http) %{_phpdir}/s*.php
%attr(640,root,http) %{_phpdir}/t*.php
%attr(640,root,http) %{_phpdir}/vars.php
%attr(640,root,http) %{_phpdir}/*.css
%attr(640,root,http) %{_phpdir}/*.gif
%attr(640,root,http) %{_phpdir}/*.png
%attr(750,root,http) %{_phpdir}/flag
%attr(750,root,http) %{_phpdir}/lang
%attr(640,root,root) /etc/cron.d/%{name}
%attr(750,ffsearch,ffsearch) %dir /var/lock/%{name}
%attr(750,ffsearch,ffsearch) %dir /var/log/%{name}
%attr(750,ffsearch,ffsearch) %dir /var/log/archiv/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ffsearch.spec,v $
Revision 1.35  2006/11/26 12:25:45  glen
- virtual deps; rel 4

Revision 1.34  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.33  2006/04/14 14:41:54  glen
- rel 2

Revision 1.32  2005/09/04 17:06:50  megabajt
- unify sf URL

Revision 1.31  2005/06/03 18:57:17  undefine
- up to 1.1.12, FHS fixes (no more /home/services)

Revision 1.30  2005/05/02 18:23:51  glen
- adapterized

Revision 1.29  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.28  2004/10/16 20:40:35  ankry
- %userremove/%groupremove support, some unification

Revision 1.27  2004/08/25 20:17:27  undefine
- libdir to datadir, release 3

Revision 1.26  2004/08/18 10:37:09  domelu
- rel 2

Revision 1.25  2004/07/29 15:54:21  undefine
- update to 1.1.11

Revision 1.24  2004/05/12 14:56:25  undefine
- update to 1.1.10

Revision 1.23  2004/02/19 17:40:31  andree
- patch -> right lock and log dir in config

Revision 1.22  2004/02/15 22:46:10  adamg
- updated to 1.1.8

Revision 1.21  2004/01/10 02:59:48  undefine
- update to 1.1.7

Revision 1.20  2003/12/23 23:03:48  undefine
- config.php need be readed by http

Revision 1.19  2003/12/18 18:14:17  domelu
- up to 1.1.6

Revision 1.18  2003/12/12 12:45:04  undefine
- R: perl-DBD-mysql - required, but don't checked on build

Revision 1.17  2003/11/30 17:59:01  adamg
- updated to 1.1.5

Revision 1.16  2003/09/30 00:12:54  undefine
- update to 1.1.4, remove obsolete polish translation.

Revision 1.15  2003/09/04 17:10:02  undefine
- mark config.php as config file

Revision 1.14  2003/09/04 14:28:22  qboosh
- deps for pre/postun, BR: rpm-perlprov
- don't ignore groupadd/useradd errors

Revision 1.13  2003/09/04 04:36:03  ankry
- formatting

Revision 1.12  2003/09/04 00:18:35  undefine
- ugly(my) pl translation.

Revision 1.11  2003/09/03 23:37:58  undefine
- more doc

Revision 1.10  2003/09/03 23:36:13  undefine
- change URL and pl summary

Revision 1.9  2003/09/03 22:35:21  undefine
- release 1, seems to work(hihi :)

Revision 1.8  2003/09/03 22:32:34  undefine
- change directory to /usr/lib/ffsearch

Revision 1.7  2003/09/03 22:29:34  undefine
- fix some perms, add directory to log file and lock file

Revision 1.6  2003/09/03 22:15:44  undefine
- release 0.2

Revision 1.5  2003/09/03 22:15:25  undefine
- move makedb.pl into /usr/lib/ffsearch

Revision 1.4  2003/09/03 22:09:52  undefine
- wrong group

Revision 1.3  2003/09/03 22:07:38  undefine
- shell is not needed...

Revision 1.2  2003/09/03 20:19:13  undefine
- cron.. ready to test

Revision 1.1  2003/09/03 20:03:47  undefine
- initial pld version, nfy
